image: python:3.6
stages:
  - test
  - document

test:
  stage: test
  script:
  - pip install --no-cache-dir -r requirements.txt
  - pytest src/tests

pages:
  stage: document
  script:
  - pip install --no-cache-dir -r requirements.txt
  - sphinx-apidoc -o docs .
  - sphinx-build docs public
  artifacts:
    paths:
    - public
  only:
  - master
